=== debian/changelog ===
rtrlib (0.8.0-5) unstable; urgency=medium

  * Adding patch to fix FBTFS with CMake 4 (Closes: #1113196).

 -- Daniel Baumann <daniel@debian.org>  Fri, 26 Sep 2025 13:19:06 +0200

rtrlib (0.8.0-4) unstable; urgency=medium

  * Renaming source package name from librtr to its correct upstream name
    rtrlib.
  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 20:28:14 +0200

librtr (0.8.0-3) experimental; urgency=medium

  * Dropping unneeded build-depends.
  * Switching from pkg-config to pkgconf.
  * Updating to standards version 4.7.2.
  * Updating homepage field.
  * Updating vcs fields.
  * Wrap and sorting debian files.
  * Removing obsolete doc-base.
  * Removing unused gbp.conf.
  * Removin unused salsa-ci.
  * Updating watch file.
  * Reindenting test script.
  * Harmonizing rules file.
  * Renaming and moving patches into debian subdirectory.
  * Rediffing patches.
  * Updating package descriptions.
  * Harmonizing format of copyright.
  * Harmonizing debhelper install files.
  * Harmonizing license headers in copyright.

 -- Daniel Baumann <daniel@debian.org>  Fri, 08 Aug 2025 11:48:27 +0200

librtr (0.8.0-2) experimental; urgency=medium

  * New maintainer (Closes: #1109846).

 -- Daniel Baumann <daniel@debian.org>  Fri, 08 Aug 2025 05:40:01 +0200

librtr (0.8.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062615

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 17:29:44 +0000

librtr (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0.
  * Update Standards-Version, no changes necessary.
  * Refresh patches, drop those merged upstream.
  * Add patch to disable full paths in Doxygen documentation.

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Sat, 11 Sep 2021 16:43:15 +0200

librtr (0.7.0-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * Team upload.
  * Add salsa-ci.yml.

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Francisco Vilmar Cardoso Ruviaro ]
  * New upstream version 0.7.0.
  * Bump DH level to 13.
  * Bump Standards-Version to 4.5.1.
  * debian/control:
      - Add 'Rules-Requires-Root: no'.
      - Add pkg-config as build dependency.
  * debian/copyright: update upstream and packaging copyright.
  * debian/p/Use-FindPkgConfig-to-search-for-libssh-availability.patch: add.
    Thanks to Marcel Röthke <marcel.roethke@haw-hamburg.de>. (Closes: #975174)
  * debian/rules: drop DEB_LDFLAGS_MAINT_APPEND -Wl,--as-needed,
    because this is default behavior in bullseye toolchain.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sat, 16 Jan 2021 16:06:05 +0000

librtr (0.6.3-1) unstable; urgency=medium

  * Import new upstream release
    - Fixes build issues with big endian architectures
  * Mark librtr-doc as Multi-Arch: foreign
  * Pass --as-needed to the linker to avoid useless dependencies

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Sun, 09 Dec 2018 14:04:06 +0100

librtr (0.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #728206)

 -- Lukas Schwaighofer <lukas@schwaighofer.name>  Sat, 01 Dec 2018 22:43:01 +0100
