=== debian/control ===
Source: rtrlib
Section: libs
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Uploaders:
 David Lamparter <equinox-debian@diac24.net>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 doxygen,
 libssh-dev,
 pkgconf,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/rtrlib/rtrlib
Vcs-Browser: https://forgejo.debian.net/frr/rtrlib
Vcs-Git: https://forgejo.debian.net/frr/rtrlib

Package: librtr-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 librtr0t64 (= ${binary:Version}),
 libssh-dev,
 ${misc:Depends},
Suggests:
 librtr-doc,
Description: Small extensible RPKI-RTR-Client (development)
 RTRlib implemnts the RPKI/Router Protocol client. The library allows fetching
 and storing validated prefix origin data from a RTR-cache and performs origin
 verification of prefixes. It supports different types of transport sessions
 (e.g., SSH, unprotected TCP) and is easily extendable.
 .
 This package contains development files.

Package: librtr-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Small extensible RPKI-RTR-Client (documentation)
 RTRlib implemnts the RPKI/Router Protocol client. The library allows fetching
 and storing validated prefix origin data from a RTR-cache and performs origin
 verification of prefixes. It supports different types of transport sessions
 (e.g., SSH, unprotected TCP) and is easily extendable.
 .
 This package contains the documentation.

Package: librtr0t64
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 librtr0 (<< ${source:Version}),
Replaces:
 librtr0,
Provides:
 ${t64:Provides},
Description: Small extensible RPKI-RTR-Client
 RTRlib implemnts the RPKI/Router Protocol client. The library allows fetching
 and storing validated prefix origin data from a RTR-cache and performs origin
 verification of prefixes. It supports different types of transport sessions
 (e.g., SSH, unprotected TCP) and is easily extendable.

Package: rtr-tools
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Small extensible RPKI-RTR-Client (tools)
 RTRlib implemnts the RPKI/Router Protocol client. The library allows fetching
 and storing validated prefix origin data from a RTR-cache and performs origin
 verification of prefixes. It supports different types of transport sessions
 (e.g., SSH, unprotected TCP) and is easily extendable.
 .
 This package contains additional tools:
 .
   * rtrclient: connects to an RPKI-RTR server and prints protocol information
     and information about the fetched ROAs.
 .
   * rpki-rov: connects to an RPKI-RTR server and allows validating IP prefixes
     and origin ASes.
