=== debian/tests/control ===
Tests:
 tools-usage,
Depends:
 rtr-tools,
