=== debian/watch ===
version=4
https://github.com/rtrlib/rtrlib/tags .*/v?(\d.*)@ARCHIVE_EXT@
